Skip to main content
POST
/
api
/
v1
/
projects
Create a new project.
curl --request POST \
  --url https://api.backside.app/api/v1/projects \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "identifier": "<string>",
  "name": "<string>",
  "description": "<string>",
  "metadata": "<unknown>",
  "start_date": "2023-12-25",
  "target_date": "2023-12-25"
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "identifier": "<string>",
  "is_archived": true,
  "is_private": true,
  "metadata": "<unknown>",
  "name": "<string>",
  "next_task_number": 123,
  "status": "<string>",
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_at": "2023-11-07T05:31:56Z",
  "default_status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "deleted_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "start_date": "2023-12-25",
  "target_date": "2023-12-25"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
identifier
string
required
name
string
required
description
string | null
metadata
any
start_date
string<date> | null
target_date
string<date> | null

Response

201 - application/json

Project created

created_at
string<date-time>
required
id
string<uuid>
required
identifier
string
required
is_archived
boolean
required
is_private
boolean
required
metadata
any
required
name
string
required
next_task_number
integer<int32>
required
status
string
required
tenant_id
string<uuid>
required
updated_at
string<date-time>
required
default_status_id
string<uuid> | null
deleted_at
string<date-time> | null
description
string | null
start_date
string<date> | null
target_date
string<date> | null